
QGIS Application - Bug report #57

segfault when opening a project with a map composed

2006-04-04 02:22 PM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10116

Description

Opening any project which was saved after using Map composer there is a segfault.

1. new project

2. add layer

3. use Map composer

4. save project

5. open this project

6. segfault

Last QGIS words are:

Debug:                  key: <SelectionColorBluePart>  value: 0

Debug:                  key: <SelectionColorGreenPart>  value: 255

Debug:                  key: <SelectionColorRedPart>  value: 255

Debug:                  key: <CanvasColorBluePart>  value: 255

Debug:                  key: <CanvasColorGreenPart>  value: 255

Debug:                  key: <CanvasColorRedPart>  value: 255

Debug:  key: <PositionPrecision>  subkey: <PositionPrecision>

Debug:          name: [[PositionPrecision]]

Debug:                  key: <DecimalPlaces>  value: 2

Debug:                  key: <Automatic>  value: true

Debug: qgsproject.cpp : 678  unable to find title element

Debug: qgslabel.cpp:573 [[QgsLabel]]::readXML() got node labelattributes

If there is a QPaintEngine error here, it is caused by an emit call just after l ine 215 in file qgsmaprender.cpp.

layer name: Shadow_2004_region

Vector layer type: ogr

The selected layer is not GRASS.

Debug: Unable to find canvas widget theOverviewCanvas

Debug: Unable to find canvas widget theOverviewCanvas

Debug: Canvas bacground color restored...

key: composition_1

Segmentation fault
Maciek

History

#1 - 2006-05-31 07:10 PM - takubo-saruga-tondara-net -

This problem was occured in my debian system.

It may be encoding related problem.

While writing and reading composed setting, 

it may break setting if layer name have non-ascii

charcters.

I made patch for this problem.

It works fine with my env.

#2 - 2006-06-01 03:45 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Applied patch (in SVN commit:c9eaae59 (SVN r5503)), which appears to resolve the problem.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

qgis-openproject-5500.diff 1.68 KB 2006-05-31 takubo-saruga-tondara-net -
